from django.conf import settings
from django.conf.urls import url

from . import views
from django.contrib.auth import views as auth_views

from forms import BoatEditForm



urlpatterns = [
#    url(r'^login$',auth_views.login,
#	{'template_name':'registration/cvkbrno_login.html',
#	 'extra_context':{
#	     'activeoutings':views.get_active_outings(),
#	     'reservations':views.get_future_reservations(),
#	     },
#	 }),
    url(r'^login/$',views.login_user_view),
    url(r'^logout/$',views.logout_then_login),
    url(r'^meterboard/$',views.meterboard_view),
    url(r'^meterboard$',views.meterboard_view),
    url(r'^memberswork/c/(?P<message>\w+.*)/s/(?P<successmessage>\w+.*)$',views.members_work_admin_view),
    url(r'^memberswork/s/(?P<successmessage>\w+.*)$',views.members_work_admin_view),
    url(r'^memberswork/c/(?P<message>\w+.*)$',views.members_work_admin_view),
    url(r'^memberswork/add$',views.members_work_add_view),
    url(r'^memberswork/(?P<id>\d+)/addme$',views.members_work_addme),
    url(r'^memberswork/(?P<id>\d+)/removeme$',views.members_work_removeme),
    url(r'^memberswork/$',views.members_work_admin_view),
    url(r'^memberswork/(?P<id>\d+)/edit/c/(?P<message>\w+.*)/s/(?P<successmessage>\w+.*)$',views.members_work_edit_view),
    url(r'^memberswork/(?P<id>\d+)/edit/s/(?P<successmessage>\w+.*)$',views.members_work_edit_view),
    url(r'^memberswork/(?P<id>\d+)/edit$',views.members_work_edit_view),
    url(r'^memberswork/(?P<id>\d+)/edit/c/(?P<message>\w+.*)$',views.members_work_edit_view),
    url(r'^memberswork/add$',views.members_work_add_view),
    url(r'^memberswork/(?P<id>\d+)/delete$',views.members_work_delete_view),
    url(r'^memberswork/$',views.members_work_admin_view),
    url(r'^memberswork/(?P<id>\d+)/complete$',views.members_work_complete_view),
    url(r'^createouting/c/(?P<message>\w+.*)/s/(?P<successmessage>\w+.*)$',views.createouting_view),
    url(r'^createouting/c/(?P<message>\w+.*)$',views.createouting_view),
    url(r'^createouting$',views.createouting_view),
    url(r'^closeouting/c/(?P<message>\w+.*)$',views.closeouting_view),
    url(r'^closeouting$',views.closeouting_view),
    url(r'^makereservation/c/(?P<message>\w+.*)/s/(?P<successmessage>\w+.*)$',views.makereservation_view),
    url(r'^makereservation/c/(?P<message>\w+.*)$',views.makereservation_view),
    url(r'^makereservation$',views.makereservation_view),
    url(r'^transport/c/(?P<message>\w+.*)/s/(?P<successmessage>\w+.*)$',views.transport_view),
    url(r'^transport/c/(?P<message>\w+.*)$',views.transport_view),
    url(r'^transport/s/(?P<successmessage>\w+.*)$',views.transport_view),
    url(r'^transport$',views.transport_view),
    url(r'^transport/add$',views.transport_add_view),
    url(r'^transport/(?P<id>\d+)/delete$',views.races_admin_delete_view),
#    url(r'^c/(?P<message>\w+.*)/s/(?P<successmessage>\w+.*)$',views.base_view),
#    url(r'^c/(?P<message>\w+.*)$',views.base_view),
#    url(r'^s/(?P<successmessage>\w+.*)$',views.base_view),
    url(r'^$',views.base_view),
    url(r'^base$',views.base_view),
    url(r'^outing/(?P<id>\d+)$',views.outing_admin_view),
    url(r'^boats/c/(?P<message>\w+.*)/s/(?P<successmessage>\w+.*)$',views.boats_admin_view),
    url(r'^boats/(?P<id>\d+)/edit/c/(?P<message>\w+.*)/s/(?P<successmessage>\w+.*)$',views.boats_admin_edit_view),
    url(r'^boats/(?P<id>\d+)/edit/c/(?P<message>\w+.*)$',views.boats_admin_edit_view),
    url(r'^boats/(?P<id>\d+)/edit$',views.boats_admin_edit_view),
    url(r'^boats/c/(?P<message>\w+.*)$',views.boats_admin_view),
    url(r'^boats/s/(?P<successmessage>\w+.*)$',views.boats_admin_view),
    url(r'^boats$',views.boats_admin_view),
    url(r'^boats/(\d+)/deleteconfirm$',views.boats_admin_delete_confirm_view),
    url(r'^boats/(\d+)/delete$',views.boats_admin_delete_view),
    url(r'^boats/add/c/(?P<message>\w+.*)$',views.boats_admin_add_view),
    url(r'^boats/add$',views.boats_admin_add_view),
    url(r'^categories/c/(?P<message>\w+.*)/s/(?P<successmessage>\w+.*)$',views.categories_admin_view),
    url(r'^categories/(?P<id>\d+)/edit/c/(?P<message>\w+.*)/s/(?P<successmessage>\w+.*)$',views.categories_admin_edit_view),
    url(r'^categories/(?P<id>\d+)/edit/c/(?P<message>\w+.*)$',views.categories_admin_edit_view),
    url(r'^categories/(?P<id>\d+)/edit$',views.categories_admin_edit_view),
    url(r'^categories/c/(?P<message>\w+.*)$',views.categories_admin_view),
    url(r'^categories/s/(?P<successmessage>\w+.*)$',views.categories_admin_view),
    url(r'^categories$',views.categories_admin_view),
    url(r'^categories/(\d+)/deleteconfirm$',views.categories_admin_delete_confirm_view),
    url(r'^categories/(\d+)/delete$',views.categories_admin_delete_view),
    url(r'^categories/add/c/(?P<message>\w+.*)$',views.categories_admin_add_view),
    url(r'^categories/add$',views.categories_admin_add_view),

    url(r'^members/c/(?P<message>\w+.*)/s/(?P<successmessage>\w+.*)$',views.members_admin_view),
    url(r'^members/(?P<id>\d+)/edit/c/(?P<message>\w+.*)/s/(?P<successmessage>\w+.*)$',views.members_admin_edit_view),
    url(r'^members/(?P<id>\d+)/edit/c/(?P<message>\w+.*)$',views.members_admin_edit_view),
    url(r'^members/(?P<id>\d+)/edit$',views.members_admin_edit_view),
    url(r'^members/c/(?P<message>\w+.*)$',views.members_admin_view),
    url(r'^members/s/(?P<successmessage>\w+.*)$',views.members_admin_view),
    url(r'^members$',views.members_admin_view),
    url(r'^members/(\d+)/deleteconfirm$',views.members_admin_delete_confirm_view),
    url(r'^members/(\d+)/delete$',views.members_admin_delete_view),
    url(r'^members/add/c/(?P<message>\w+.*)$',views.members_admin_add_view),
    url(r'^members/add$',views.members_admin_add_view),
    url(r'^outing/(\d+)/delete$',views.members_outing_delete_view),
    url(r'^language/(?P<languagecode>[A-z]{2})/$',views.change_language_view),
    url(r'^language/(?P<languagecode>[A-z]{2}\-[A-z]{2})/$',views.change_language_view),
#    url(r'^i18n/', include('django.conf.urls.i18n')),
]

